require File.join(__dir__, 'fengge.so')
module FengGe
  def self.save_version # 保存其它版本
    mod = Sketchup.active_model
    path = mod.path
    path = '无标题.skp' if path == ''
    re = save_dialog(path)
    return unless re
    if re[1] > 17
      mod.save(re[0])
    else
      mod.save(re[0], re[1])
    end
    UI.messagebox('保存成功！')
  end

  toolbar = UI::Toolbar.new('风哥工具')

  cmd = UI::Command.new('保存低版本') { save_version }
  cmd.small_icon = cmd.large_icon = File.join(__dir__, 'save.png')
  cmd.tooltip =cmd.status_bar_text = '保存低版本'
  toolbar.add_item cmd

  toolbar.restore

  menu = UI.menu('File')
  menu.add_item('保存低版本') { save_version }
end